STOFFCell::Format Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | Friends | List of all members
STOFFCell::Format Struct Reference

a structure uses to define the format of a cell content More...

`#include <STOFFCell.hxx>`

## Public Member Functions
| Format ()
| constructor More...
virtual | ~Format ()
| destructor More...
bool | hasBasicFormat () const
| returns true if this is a basic format style More...
std::string | getValueType () const
| returns a value type More...

## Static Public Member Functions
static bool | convertDTFormat (std::string const &dtFormat, librevenge::RVNGPropertyListVector &propListVector)
| convert a DTFormat in a propertyList More...

## Public Attributes
FormatType | m_format
| the cell format : by default unknown More...
NumberType | m_numberFormat
| the numeric format More...

## Friends
std::ostream & | operator<< (std::ostream &o, Format const &format)
| operator<< More...

## Detailed Description

a structure uses to define the format of a cell content

## Constructor & Destructor Documentation

STOFFCell::Format::Format | ( |  | ) |
| inline

constructor

virtual STOFFCell::Format::~Format | ( |  | ) |
| inlinevirtual

destructor

## Member Function Documentation

bool STOFFCell::Format::convertDTFormat | ( | std::string const & | dtFormat,
|  | librevenge::RVNGPropertyListVector & | propListVector
| ) |  |
| static

convert a DTFormat in a propertyList

Referenced by hasBasicFormat(), and StarFormatManager::updateNumberingProperties().

std::string STOFFCell::Format::getValueType | ( |  | ) | const

returns a value type

Referenced by hasBasicFormat(), and STOFFSpreadsheetListener::openSheetCell().

bool STOFFCell::Format::hasBasicFormat | ( |  | ) | const
| inline

returns true if this is a basic format style

Referenced by STOFFSpreadsheetListener::openSheetCell().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | STOFFCell::Format const & | format
| ) |  |
| friend

operator<<

Referenced by STOFFCellContent::FormulaInstruction::FormulaInstruction(), hasBasicFormat(), STOFFCell::~STOFFCell(), and STOFFCellContent::~STOFFCellContent().

## Member Data Documentation

FormatType STOFFCell::Format::m_format

the cell format : by default unknown

Referenced by STOFFCell::getFormat(), getValueType(), hasBasicFormat(), STOFFSpreadsheetListener::openSheetCell(), operator<<(), StarObjectSpreadsheet::readSCData(), STOFFCell::setFormat(), StarFormatManager::updateNumberingProperties(), and StarFormatManagerInternal::NumberFormatter::Format::updateNumberingProperties().

NumberType STOFFCell::Format::m_numberFormat

the numeric format

Referenced by getValueType(), operator<<(), StarFormatManager::updateNumberingProperties(), and StarFormatManagerInternal::NumberFormatter::Format::updateNumberingProperties().

The documentation for this struct was generated from the following files:

- STOFFCell.hxx
- STOFFCell.cxx